Bug 145741 - userhelper can't execute python code in usr_t (system-config-lvm)
Summary: userhelper can't execute python code in usr_t (system-config-lvm)
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-strict (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-21 00:14 UTC by Ivan Gyurdiev
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-22 21:45:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ivan Gyurdiev 2005-01-21 00:14:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041228 Firefox/1.0 Fedora/1.0-8

Description of problem:
audit(1106266130.655:0): avc:  denied  { execute } for  pid=8127
exe=/usr/sbin/userhelper name=system-config-lvm.py dev=dm-0
ino=1122880 scontext=root:sysadm_r:sysadm_userhelper_t
tcontext=system_u:object_r:usr_t tclass=file

audit(1106266149.881:0): avc:  denied  { execute } for  pid=8152
exe=/usr/sbin/userhelper name=system-config-lvm.py dev=dm-0
ino=1122880 scontext=user_u:user_r:user_userhelper_t
tcontext=system_u:object_r:usr_t tclass=file


Version-Release number of selected component (if applicable):
selinux-policy-strict-1.21.2-2

How reproducible:
Always

Steps to Reproduce:
1. Launch system-config-lvm 
    

Additional info:

Comment 1 Daniel Walsh 2005-01-21 17:48:43 UTC
Fixed in selinux-policy-strict-1.21.2-7

Comment 2 Ivan Gyurdiev 2005-01-22 21:45:56 UTC
See, if I hadn't relabeled though I wouldn't know it was fixed.
Something should be done to automate restorecon when the file_contexts
change.




Note You need to log in before you can comment on or make changes to this bug.